package com.example.smartgarden.rest.model;

import com.google.gson.annotations.SerializedName;

public class Parameter {

    @SerializedName("start_time")
    private String mStartTime;

    @SerializedName("end_time")
    private String mEndTime;

    @SerializedName("sensor_id")
    private String mSensorId;

    @SerializedName("sensor_name")
    private String mSensorName;

    @SerializedName("value")
    private Integer mValue;

    @SerializedName("operator")
    private String mOperator;

    /**
     * Get parameter start time
     *
     * @return parameter start time
     */
    public String getStartTime() {
        return mStartTime;
    }

    /**
     * Set parameter start time
     *
     * @param startTime start time
     */
    public void setStartTime(String startTime) {
        mStartTime = startTime;
    }

    /**
     * Get parameter end time
     *
     * @return parameter end time
     */
    public String getEndTime() {
        return mEndTime;
    }

    /**
     * Set parameter end time
     *
     * @param endTime end time
     */
    public void setEndTime(String endTime) {
        mEndTime = endTime;
    }

    /**
     * Get parameter sensor id
     *
     * @return parameter sensor id
     */
    public String getSensorId() {
        return mSensorId;
    }

    /**
     * Set parameter sensor id
     *
     * @param sensorId sensor id
     */
    public void setSensorId(String sensorId) {
        mSensorId = sensorId;
    }

    /**
     * Get parameter sensor name
     *
     * @return parameter sensor name
     */
    public String getSensorName() {
        return mSensorName;
    }

    /**
     * Set parameter sensor name
     *
     * @param sensorName sensor name
     */
    public void setSensorName(String sensorName) {
        mSensorName = sensorName;
    }

    /**
     * Get parameter value
     *
     * @return parameter value
     */
    public Integer getValue() {
        return mValue;
    }

    /**
     * Set parameter value
     *
     * @param value value
     */
    public void setValue(Integer value) {
        mValue = value;
    }

    /**
     * Get parameter operator
     *
     * @return parameter operator
     */
    public String getOperator() {
        return mOperator;
    }

    /**
     * Set parameter operator
     *
     * @param operator operator
     */
    public void setOperator(String operator) {
        mOperator = operator;
    }
}
