package com.example.smartgarden.ui.interfaces;

public interface DeleteClickListener {

    /**
     * Delete board click listener
     *
     * @param boardId board id to delete
     */
    void deleteBoardOnClick(String boardId);

    /**
     * Delete device click listener
     *
     * @param boardId  board id from device to delete
     * @param deviceId device id to delete
     */
    void deleteDeviceOnClick(String boardId, String deviceId);

    /**
     * Delete schedule click listener
     *
     * @param scheduleId schedule id to delete
     */
    void deleteScheduleOnClick(String scheduleId);
}
