package com.example.smartgarden.rest.constants;

public class ApiConstants {

    // BASE URL
    public static final String BASE_SMARTGARDEN_URL = "http://10.0.2.2:3000/";

    // END POINTS
    public static final String SMARTGARDEN_USER_LOGIN = "login";
    public static final String SMARTGARDEN_USER_REGISTER = "register";
    public static final String SMARTGARDEN_GET_DRIVERS = "drivers";
    public static final String SMARTGARDEN_GET_DRIVER = "driver";
    public static final String SMARTGARDEN_ADD_BOARD = "addBoard";
    public static final String SMARTGARDEN_DELETE_BOARD = "deleteBoard";
    public static final String SMARTGARDEN_GET_BOARDS = "boards";
    public static final String SMARTGARDEN_ADD_DEVICE = "addDevice";
    public static final String SMARTGARDEN_DELETE_DEVICE = "deleteDevice";
    public static final String SMARTGARDEN_ADD_SCHEDULE = "addSchedule";
    public static final String SMARTGARDEN_GET_SCHEDULES = "schedules";
    public static final String SMARTGARDEN_DELETE_SCHEDULE = "deleteSchedule";
    public static final String SMARTGARDEN_GET_LOGS = "logs";

    // STATUS CODE
    public static final int API_CODE_OK = 200;
    public static final int API_CODE_CREATED = 201;
    public static final int API_CODE_UNAUTHORIZED = 401;
    public static final int API_CODE_CONFLICT = 409;
    public static final int API_CODE_INTERNAL_SERVER_ERROR = 500;
}
