package com.example.smartgarden.rest.model;

import com.google.gson.annotations.SerializedName;

public class PostResponse {

    @SerializedName("success")
    private Boolean mSuccess;

    @SerializedName("message")
    private String mMessage;

    @SerializedName("id")
    private String mUserId;

    @SerializedName("token")
    private String mToken;

    /**
     * Get post response success
     *
     * @return post response success
     */
    public Boolean getSuccess() {
        return mSuccess;
    }

    /**
     * Get post response message
     *
     * @return post response message
     */
    public String getMessage() {
        return mMessage;
    }

    /**
     * Get post response user id
     *
     * @return post response user id
     */
    public String getUserId() {
        return mUserId;
    }

    /**
     * Get post response token
     *
     * @return post response token
     */
    public String getToken() {
        return mToken;
    }
}

