package com.example.smartgarden.rest.model;

import com.google.gson.annotations.SerializedName;

public class Schedule {

    @SerializedName("_id")
    private String mId;

    @SerializedName("user_id")
    private String mUserId;

    @SerializedName("actuator_id")
    private String mActuatorId;

    @SerializedName(("actuator_name"))
    private String mActuatorName;

    @SerializedName("board_id")
    private String mBoardId;

    @SerializedName("name")
    private String mName;

    @SerializedName("type")
    private String mType;

    @SerializedName("parameters")
    private Parameter mParameters;

    /**
     * Get schedule id
     *
     * @return schedule id
     */
    public String getId() {
        return mId;
    }

    /**
     * Set schedule id
     *
     * @param id id
     */
    public void setId(String id) {
        mId = id;
    }

    /**
     * Get schedule user id
     *
     * @return schedule user id
     */
    public String getUserId() {
        return mUserId;
    }

    /**
     * Set schedule user id
     *
     * @param userId user id
     */
    public void setUserId(String userId) {
        mUserId = userId;
    }

    /**
     * Get schedule actuator id
     *
     * @return schedule actuator id
     */
    public String getActuatorId() {
        return mActuatorId;
    }

    /**
     * Set schedule actuator id
     *
     * @param actuatorId actuator id
     */
    public void setActuatorId(String actuatorId) {
        mActuatorId = actuatorId;
    }

    /**
     * Get schedule actuator name
     *
     * @return schedule actuator name
     */
    public String getActuatorName() {
        return mActuatorName;
    }

    /**
     * Set schedule actuator name
     *
     * @param actuatorName actuator name
     */
    public void setActuatorName(String actuatorName) {
        mActuatorName = actuatorName;
    }

    /**
     * Get schedule board id
     *
     * @return schedule board id
     */
    public String getBoardId() {
        return mBoardId;
    }

    /**
     * Set schedule board id
     *
     * @param boardId board id
     */
    public void setBoardId(String boardId) {
        mBoardId = boardId;
    }

    /**
     * Get schedule name
     *
     * @return schedule name
     */
    public String getName() {
        return mName;
    }

    /**
     * Set schedule name
     *
     * @param name name
     */
    public void setName(String name) {
        mName = name;
    }

    /**
     * Get schedule type
     *
     * @return schedule type
     */
    public String getType() {
        return mType;
    }

    /**
     * Set schedule type
     *
     * @param type type
     */
    public void setType(String type) {
        mType = type;
    }

    /**
     * Get schedule parameters
     *
     * @return schedule parameters
     */
    public Parameter getParameters() {
        return mParameters;
    }

    /**
     * Set schedule parameters
     *
     * @param parameters parameters
     */
    public void setParameters(Parameter parameters) {
        mParameters = parameters;
    }
}